/*
 * @author Lenidas de Oliveira Brando
 * @see    Desenhos
 * Exemplo para desenhos em AWT
 * Chamado de: Desenhos
 */

import java.awt.*;
import java.awt.event.*;

public class MenuInferior extends Panel implements ActionListener {

  Button b_novo = new Button("Novo");
  Button b_fim  = new Button("Fim");
  Label L = new Label("Desenha objetos- MAC 323 - 2003");
  boolean applet;

  MenuSuperior menuSuperior;

  public MenuInferior (boolean applet, MenuSuperior menuSuperior) {
    this.applet = applet;
    this.menuSuperior = menuSuperior;

    setBackground( Desenhos.cor_Msg );
    setLayout(new FlowLayout());  // (new BorderLayout()); //
    setFont(new Font("Arial", Font.BOLD, 10));

    b_novo.addActionListener(this);
    b_fim.addActionListener(this);
    this.add(b_novo);             // (b_novo,"West");      //
    if (!applet) this.add(b_fim); // (b_fim,"East");       //
    this.add(L);                  // (L,"North");          //
    }

  public void actionPerformed(ActionEvent e) {
   String s = e.getActionCommand();
   if ( s.equals ("Fim") ) {
      if (! applet) System.exit(0);
      }
   else
   if ( s.equals ("Novo") ) {
      // gera novos crculos "aleatrios"
      Desenhos.NovosCirculos();
      menuSuperior.redesenha();
      }
   }

   public synchronized void paint(Graphics g) {
     Dimension d = getSize();
     g.setColor(Desenhos.cor_Fundo); //(Color.red); //
     g.fillRect( 1,1, d.width-1,d.height-1); //

     }

  }
