/*
 * @author Lenidas de Oliveira Brando
 * @see    Desenhos
 * Exemplo para desenhos em AWT
 * Chamado de: Desenhos
 */

import java.awt.*;
import java.awt.event.*;

public class MenuSuperior extends Panel {

  public MenuSuperior () {
    }

  public void redesenha() {
    repaint();
    }

  public synchronized void paint(Graphics g) {
    Dimension d = getSize();
    setSize(d.width, 100); // fixa tamanho da janela no eixo Y
    setFont(new Font("Arial", Font.BOLD, 10));
    d = getSize();

    g.setColor(Color.white); //(Color.gray); //
    g.fillRect( 2,2, d.width-3,d.height-3); // desenha no funco um retngula 

    g.setColor(Color.black); // para fazer um "moldura"
    g.drawRect( 1,1, d.width-3, d.height-3);    // desenha no funco o contorno em preto
    g.drawString("MAC 323 - 2003", d.width/2, d.height/2);

    // Desenha circulos neste painel
    g.setColor(Color.gray); // 
    //int min=Integer.MAX_VALUE, max=Integer.MIN_VALUE; // para testar mximo e mnimo valores gerados
    for (int i=0; i<Desenhos.NumObjetos; i++) {
        //if ( min > Desenhos.pontos[i].x) min = Desenhos.pontos[i].x; // para testar mximo e mnimo valores gerados
        //if ( max < Desenhos.pontos[i].y) max = Desenhos.pontos[i].y; // para testar mximo e mnimo valores gerados
        g.fillOval(Desenhos.pontos[i].x, Desenhos.pontos[i].y, Desenhos.raios[i]+1,  Desenhos.raios[i]);
        }
    //System.out.println("min="+min+" max="+max); // para testar mximo e mnimo valores gerados
    }

  }
